## trn 3.6-16

=== debian/changelog ===
trn (3.6-16) unstable; urgency=low

  * use time.h rather than sys/time.h (closes: #90554)
  * include manpages for nntplist and trn-artchk (closes: #83629)
  * move from /usr/doc to /usr/share/doc (closes: #91687)

 -- Matthew Vernon <matthew@debian.org>  Mon, 09 Apr 2001 17:04:38 +0100
	

trn (3.6-15) unstable; urgency=low

  * Many changes to make trn interoperate with trn4 (closes: #76772)

 -- Matthew Vernon <matthew@debian.org>  Fri, 17 Nov 2000 19:44:26 +0000

trn (3.6-14) unstable; urgency=low

  * Patch config to use /etc/news/whoami

 -- Matthew Vernon <matthew@debian.org>  Sun,  4 Jun 2000 21:43:20 +0100

trn (3.6-13) frozen unstable; urgency=low

  * Patch from Colin Watson for manpage (closes:#50193)
  * Patch from Peter Maydell (closes:#46301)
  * Previous version closed this bug oops. (closes:#21959)
  * Upload again into non-free :( (closes:#54519,#54095)
  * Changed the depends to inews|inewsinn (closes:#55484,#55470,#55160)
  * Can we have less duplicate bugs next time, please?
	
 -- Matthew Vernon <matthew@debian.org>  Wed, 19 Jan 2000 12:44:42 +0000
	

trn (3.6-12) unstable; urgency=low

  * Patch from pmaydell@chiark.greenend.org.uk (closes:#42039)

 -- Matthew Vernon <matthew@debian.org>  Thur, 09 Sep 1999 13:44:01 +0000
	

trn (3.6-11) unstable; urgency=low

  * Fixed the version number. Sorry folks

 -- Matthew Vernon <matthew@debian.org>  Wed, 01 Sep 1999 13:13:03 +0100
	

trn (3.6-10.1) unstable; urgency=low
	
  * Taking over as maintainer
  * Shifted docs to /usr/doc/trn (closes: #42039)
  * Tidied up postinst to make it clear what to do about local spool (closes: #22987)
  * Patch from Peter Maydell to clean up handling of duff References (closes: #14591)
  * Patch from Brendab O'Dea to clean up temporary files (closes: #27306)
  * Commented out a "sanity" check that broke dbuild (closes: #24857)
  * Tell trn to use hostname, not /etc/news/whoami (closes: #34633)
	
 -- Matthew Vernon <matthew@debian.org>  Mon, 23 Aug 1999 15:25:28 +0200
 	

trn (3.6-9.4) unstable; urgency=high

  * Non-maintainer upload by Security Team
  * Fixes insecure use of files in /tmp, patch by Richard Kettlewell

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu, 19 Aug 1999 12:05:56 +0200

trn (3.6-9.3) frozen unstable; urgency=high

  * Non-maintainer release.
  * Fixes /tmp/*$$ security problems in newsetup, newsgroups and Pnews 
    (fixes: #19812)
  * Fixed FSF address.
  * Changed "Optional:" control field to "Suggests:"
  * Fixed debian/rules to work with fakeroot

 -- Anthony Towns <ajt@debian.org>  Sat, 11 Apr 1998 02:36:52 +1000

trn (3.6-9.2) unstable; urgency=high

  * Non-maintainer release.
  * Fixes:
    #18032: trn: PATCH: fix for "Warning! Somebody reset <newsgroup>--assuming
            (applied "rcln.patch")
    #16344: trn: Read articles being confused as "unread".
    #15890: trn needs /etc/news/whoami but doesn't provide it
    #12627: trn: unchecked prompting in postinst

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 19 Feb 1998 21:22:04 +0100

trn (3.6-9.1) unstable; urgency=low

  * Non-maintainer release.
  * Libc6 compile.

 -- Martin Mitchell <martin@debian.org>  Fri,  7 Nov 1997 19:15:21 +1100

trn (3.6-9) stable unstable; urgency=low

  * Changed config.sh to set pager to $PAGER-/bin/more (Bug#5957.)

 -- Jon Rabone <jkr@debian.org>  Fri, 13 Dec 1996 20:00:58 +0000

trn (3.6-8) frozen unstable; urgency=low

  * Increased line buffer size to make trn more resilient to broken articles

 -- Jon Rabone <jkr@debian.org>  Thu, 31 Oct 1996 23:06:56 +0000

trn (3.6-7) unstable; urgency=low

  * Made dead.article and dead.letter non world readable (Bug#1845.)
  * Updated to Standards-Version 2.1.1.0 
  * Changed maintainer email address.

 -- Jon Rabone <jkr@debian.org>  Thu, 31 Oct 1996 23:06:56 +0000

trn (3.6-6); priority=LOW

  * Added Depends: inews to debian.control. (Bug#3089)
  * Added Provides: news-reader to debian.control. (Bug#2783)

 -- Jon Rabone <93jkr@eng.cam.ac.uk>  Thu, 13 Jun 1996 13:35:12 +0000

trn (3.6-5); priority=LOW

  * Compiled ELF, with ncurses library.

 -- Michael Nonweiler <mrn20@cam.ac.uk> Thursday, 23 May 1996

trn (3.6-4); priority=HIGH

  * Fixed "lots of new newsgroups" bug after 01.01.1996.  (Bug#2084.)

 -- Ian Jackson <iwj10@cus.cam.ac.uk>  Wed, 3 Jan 1996 15:00:12 +0000

trn (3.6-3); priority=LOW

  * Postinst creates /etc/news/server correctly.  (Bug#1876.)
  * Fixed coredump caused by use of getwd.

 -- Ian Jackson <iwj10@cus.cam.ac.uk>  Sun, 26 Nov 1995 15:44:14 +0000

trn (3.6-2); priority=LOW

  * Reads /etc/news/descriptions, if available, instead of asking
    server (Bug#829).
  * Dependencies on an MTA and an `inews' are now only Recommends
    and use virtual package names (Bug#1439).
  * Enable XAUTHINFO GENERIC support.
  * Compile with -O3 instead of -O2.
  * Extended description provided.
  * /usr/doc/copyright/trn now quotes the emailed clarification I got
    from Stan Barber.

 -- Ian Jackson <iwj10@cus.cam.ac.uk>  Tue, 26 Sep 1995 15:02:23 +0100
