## trn 3.6-17

=== Makefile ===
# $Id: Makefile.SH,v 3.0 1992/03/01 02:13:32 davison Trn $
#
# This software is Copyright 1991 by Stan Barber. 
#
# Permission is hereby granted to copy, reproduce, redistribute or otherwise
# use this software as long as: there is no monetary profit gained
# specifically from the use or reproduction of this software, it is not
# sold, rented, traded or otherwise marketed, and this copyright notice is
# included prominently in any copy made. 
#
# The author make no claims as to the fitness or correctness of this software
# for any use whatsoever, and it is provided as is. Any use of this software
# is at the user's own risk. 
# 
# optional defines you can add to the CFLAGS
#    -DDEBUG                      compile in support for the -D option
#    -DNO_LISTGROUP               avoids attempting to use LISTGROUP
#    -DREPLYTO_POSTER_CHECKING    makes -p also check Reply-To (slow)

srcdir = .
VPATH = .

CC = gcc
TOUCH = touch
#YACC = yacc
#LINT = lint
lintflags = -phbvxac 

CFLAGS = -O3  
LDFLAGS = -s

rnbin = /usr/lib/trn
rnlib = /usr/share/trn
mansrc = /usr/share/man/man1
manext = 1
NNTPFLAGS = 
ndirc = 
ndiro = 
strftimec = 
strftimeo = 
installfilexp = /usr/share/trn/filexp

libs =  -lcurses  -lm  
public = trn newsetup newsgroups Pnews Rnmail trn-artchk $(nntpbin)
private = norm.saver mbox.saver makedir Pnews.header Speller filexp
util = makedepend newsnews
manpages = trn.1 Pnews.1 Rnmail.1 newsetup.1 newsgroups.1
nntpbin=nntplist
nntpsrc=nntpinit.c nntpclient.c nntpauth.c nntp.c
nntpobj1=nntpinit.o nntpclient.o nntpauth.o
nntpobj2=nntp.o

h1 = addng.h art.h artio.h artsrch.h autosub.h backpage.h bits.h cache.h 
h2 = charsubst.h common.h decode.h final.h hash.h head.h help.h init.h intrp.h
h3 = kfile.h last.h ng.h ngdata.h ngsrch.h ngstuff.h only.h rcln.h rcstuff.h
h4 = respond.h rthread.h rt-mt.h rt-ov.h rt-page.h rt-process.h rt-select.h
h5 = rt-util.h rt-wumpus.h search.h sw.h term.h trn.h util.h util2.h

h = $(h1) $(h2) $(h3) $(h4) $(h5)

c1 = addng.c art.c artio.c artsrch.c autosub.c backpage.c bits.c cache.c
c2 = charsubst.c decode.c edit_dist.c final.c hash.c head.c help.c init.c
c3 = intrp.c kfile.c last.c $(ndirc) ng.c ngdata.c nghash.c ngsrch.c ngstuff.c
c4 = only.c rcln.c rcstuff.c respond.c rthread.c rt-mt.c rt-ov.c
c5 = rt-process.c rt-page.c rt-select.c rt-util.c rt-wumpus.c search.c
c6 = $(strftimec) sw.c term.c trn.c util.c util2.c unship.c uudecode.c
c7 = $(nntpsrc) charsubst.c

c = $(c1) $(c2) $(c3) $(c4) $(c5) $(c6) $(c7)

obj1 = addng.o art.o artio.o artsrch.o autosub.o backpage.o bits.o cache.o
obj2 = charsubst.o decode.o edit_dist.o final.o hash.o head.o help.o init.o
obj3 = intrp.o kfile.o last.o $(ndiro) ng.o ngdata.o nghash.o ngsrch.o
obj4 = ngstuff.o only.o rcln.o rcstuff.o respond.o rthread.o rt-mt.o rt-ov.o
obj5 = rt-process.o rt-page.o rt-select.o rt-util.o rt-wumpus.o search.o
obj6 = $(strftimeo) sw.o term.o trn.o util.o util2.o unship.o uudecode.o
obj7 = parsedate.o $(nntpobj1) $(nntpobj2)

obj = $(obj1) $(obj2) $(obj3) $(obj4) $(obj5) $(obj6) $(obj7)

addedbymake = $(public) $(private) $(util) Makefile.old config.h\
	parsedate.c cppstdin all

# grrr
SHELL = /bin/sh

.c.o:
	$(CC) -c $(CFLAGS) $<

all: $(public) $(private) $(util) Makefile
	$(TOUCH) all

trn: $(obj)
	$(CC) $(LDFLAGS) $(obj) $(libs) -o trn

nntpinit.o: nntpinit.c
	$(CC) -c $(CFLAGS) $(NNTPFLAGS) $<

nntplist: nntplist.o util2.o $(nntpobj1)
	$(CC) $(LDFLAGS) nntplist.o util2.o $(nntpobj1) -o nntplist $(libs)

trn-artchk: trn-artchk.o util2.o $(nntpobj1)
	$(CC) $(LDFLAGS) trn-artchk.o util2.o $(nntpobj1) -o trn-artchk $(libs)

parsedate.c: parsedate.y
	@echo 'Expect 6 shift/reduce conflicts'
	$(YACC) $(srcdir)/parsedate.y
	mv -f y.tab.c parsedate.c

unipatch: unipatch.o
	$(CC) $(LDFLAGS) unipatch.o -o unipatch

Pnews.header: Pnews

# if a .h file depends on another .h file...
$(h):
	-$(TOUCH) $@

install: $(public) $(private) $(manpages)
# won't work with csh
	export PATH || exit 1
	- (cd `./filexp $(rnbin)`; mv trn trn.old)
	- if test `pwd` != `./filexp $(rnbin)`; then cp $(public) `./filexp $(rnbin)`;\
 (cd `./filexp $(rnbin)`; chmod o+x $(public); strip trn trn-artchk $(nntpbin)); fi
	- if test $(installfilexp) = Rnfilexp; then cp ./filexp `./filexp $(rnbin)/Rnfilexp`; fi
	- ./makedir `./filexp $(rnlib)`
	- chmod o+r `./filexp $(rnlib)`
	- if test `pwd` != `./filexp $(rnlib)`; then cp $(srcdir)/INIT $(private) `./filexp $(rnlib)`; fi
	- if test ! -f `./filexp $(rnlib)/newsnews`; then cp newsnews `./filexp $(rnlib)`; fi
	- (cd `./filexp $(rnlib)`; chmod o+x $(private); chmod o+r INIT newsnews)
	- if test "X$(mansrc)" != "X" -a "X`pwd`" != X`./filexp $(mansrc)`; then \
for page in $(manpages); do \
dest=$(mansrc)/`basename $$page .1`.$(manext); \
rm -f $$dest; cp $(srcdir)/$$page $$dest; chmod 444 $$dest; \
done; \
fi

clean:
	@echo 'Use "make realclean" to also remove the Makefile.'
	@echo 'Use "make spotless" to even remove config.sh.'
	rm -rf UU
	rm -f *.o core $(addedbymake)

realclean:
	@echo 'You can use "Configure -S ; make depend ; make" to reverse this.'
	rm -rf UU
	rm -f *.o core $(addedbymake) Makefile

spotless:
	rm -rf UU .config
	rm -f *.o core $(addedbymake) Makefile config.sh

# The following lint has practically everything turned on.  Unfortunately,
# you have to wade through a lot of mumbo jumbo that can't be suppressed.
# If the source file has a /*NOSTRICT*/ somewhere, ignore the lint message
# for that spot.

lint: $(c) parsedate.c
	$(LINT) $(lintflags) $(defs) $? > trn.fuzz 2>&1

sabertrn: $(c) parsedate.c
	#load $(c) parsedate.c $(libs)

depend: config.h Makefile makedepend
	./makedepend

# AUTOMATICALLY GENERATED MAKE DEPENDENCIES--PUT NOTHING BELOW THIS LINE
addng.o: EXTERN.h
addng.o: INTERN.h
addng.o: addng.c
addng.o: addng.h
addng.o: common.h
addng.o: config.h
addng.o: final.h
addng.o: intrp.h
addng.o: last.h
addng.o: ngdata.h
addng.o: nntp.h
addng.o: nntpclient.h
addng.o: only.h
addng.o: rcstuff.h
addng.o: search.h
addng.o: trn.h
addng.o: util.h
art.o: EXTERN.h
art.o: INTERN.h
art.o: art.c
art.o: art.h
art.o: artio.h
art.o: artstate.h
art.o: backpage.h
art.o: bits.h
art.o: cache.h
art.o: charsubst.h
art.o: common.h
art.o: config.h
art.o: final.h
art.o: head.h
art.o: help.h
art.o: intrp.h
art.o: ng.h
art.o: ngdata.h
art.o: ngstuff.h
art.o: nntp.h
art.o: nntpclient.h
art.o: rcstuff.h
art.o: rt-select.h
art.o: rt-util.h
art.o: rt-wumpus.h
art.o: rthread.h
art.o: search.h
art.o: sw.h
art.o: term.h
art.o: trn.h
art.o: util.h
art.o: util2.h
artio.o: EXTERN.h
artio.o: INTERN.h
artio.o: art.h
artio.o: artio.c
artio.o: artio.h
artio.o: bits.h
artio.o: cache.h
artio.o: common.h
artio.o: config.h
artio.o: final.h
artio.o: head.h
artio.o: ngdata.h
artio.o: nntp.h
artio.o: nntpclient.h
artio.o: rthread.h
artsrch.o: EXTERN.h
artsrch.o: INTERN.h
artsrch.o: artio.h
artsrch.o: artsrch.c
artsrch.o: artsrch.h
artsrch.o: bits.h
artsrch.o: cache.h
artsrch.o: common.h
artsrch.o: config.h
artsrch.o: final.h
artsrch.o: head.h
artsrch.o: intrp.h
artsrch.o: kfile.h
artsrch.o: ng.h
artsrch.o: ngdata.h
artsrch.o: ngstuff.h
artsrch.o: nntp.h
artsrch.o: nntpclient.h
artsrch.o: rt-select.h
artsrch.o: rthread.h
artsrch.o: search.h
artsrch.o: term.h
artsrch.o: util.h
autosub.o: EXTERN.h
autosub.o: INTERN.h
autosub.o: autosub.c
autosub.o: autosub.h
autosub.o: common.h
autosub.o: config.h
autosub.o: final.h
autosub.o: ngsrch.h
autosub.o: search.h
autosub.o: util.h
backpage.o: EXTERN.h
backpage.o: INTERN.h
backpage.o: backpage.c
backpage.o: backpage.h
backpage.o: common.h
backpage.o: config.h
backpage.o: final.h
backpage.o: intrp.h
bits.o: EXTERN.h
bits.o: INTERN.h
bits.o: artio.h
bits.o: bits.c
bits.o: bits.h
bits.o: cache.h
bits.o: common.h
bits.o: config.h
bits.o: final.h
bits.o: head.h
bits.o: intrp.h
bits.o: ndir.h
bits.o: ng.h
bits.o: ngdata.h
bits.o: nntp.h
bits.o: nntpclient.h
bits.o: rcln.h
bits.o: rcstuff.h
bits.o: rt-select.h
bits.o: rt-util.h
bits.o: rthread.h
bits.o: term.h
bits.o: trn.h
bits.o: util.h
bits.o: util2.h
cache.o: EXTERN.h
cache.o: INTERN.h
cache.o: artsrch.h
cache.o: bits.h
cache.o: cache.c
cache.o: cache.h
cache.o: common.h
cache.o: config.h
cache.o: final.h
cache.o: hash.h
cache.o: head.h
cache.o: intrp.h
cache.o: ng.h
cache.o: ngdata.h
cache.o: nntp.h
cache.o: nntpclient.h
cache.o: rcstuff.h
cache.o: rt-ov.h
cache.o: rt-page.h
cache.o: rt-process.h
cache.o: rt-select.h
cache.o: rt-util.h
cache.o: rthread.h
cache.o: search.h
cache.o: term.h
cache.o: trn.h
cache.o: util.h
cache.o: util2.h
charsubst.o: EXTERN.h
charsubst.o: INTERN.h
charsubst.o: artstate.h
charsubst.o: charsubst.c
charsubst.o: charsubst.h
charsubst.o: common.h
charsubst.o: config.h
charsubst.o: search.h
decode.o: EXTERN.h
decode.o: INTERN.h
decode.o: common.h
decode.o: config.h
decode.o: decode.c
decode.o: decode.h
edit_dist.o: EXTERN.h
edit_dist.o: common.h
edit_dist.o: config.h
edit_dist.o: edit_dist.c
edit_dist.o: util.h
final.o: EXTERN.h
final.o: INTERN.h
final.o: artio.h
final.o: bits.h
final.o: cache.h
final.o: common.h
final.o: config.h
final.o: final.c
final.o: final.h
final.o: init.h
final.o: intrp.h
final.o: last.h
final.o: ng.h
final.o: ngdata.h
final.o: nntp.h
final.o: nntpclient.h
final.o: rcstuff.h
final.o: term.h
final.o: util.h
hash.o: EXTERN.h
hash.o: INTERN.h
hash.o: common.h
hash.o: config.h
hash.o: final.h
hash.o: hash.c
hash.o: hash.h
hash.o: util.h
head.o: EXTERN.h
head.o: INTERN.h
head.o: artio.h
head.o: cache.h
head.o: common.h
head.o: config.h
head.o: final.h
head.o: hash.h
head.o: head.c
head.o: head.h
head.o: ng.h
head.o: ngdata.h
head.o: nntp.h
head.o: nntpclient.h
head.o: rt-process.h
head.o: rt-util.h
head.o: rthread.h
head.o: util.h
help.o: EXTERN.h
help.o: INTERN.h
help.o: common.h
help.o: config.h
help.o: help.c
help.o: help.h
help.o: term.h
help.o: trn.h
init.o: EXTERN.h
init.o: INTERN.h
init.o: addng.h
init.o: art.h
init.o: artio.h
init.o: artsrch.h
init.o: backpage.h
init.o: bits.h
init.o: cache.h
init.o: common.h
init.o: config.h
init.o: decode.h
init.o: final.h
init.o: head.h
init.o: help.h
init.o: init.c
init.o: init.h
init.o: intrp.h
init.o: kfile.h
init.o: last.h
init.o: ng.h
init.o: ngdata.h
init.o: ngsrch.h
init.o: ngstuff.h
init.o: nntp.h
init.o: nntpclient.h
init.o: only.h
init.o: rcln.h
init.o: rcstuff.h
init.o: respond.h
init.o: rthread.h
init.o: search.h
init.o: sw.h
init.o: term.h
init.o: trn.h
init.o: util.h
intrp.o: EXTERN.h
intrp.o: INTERN.h
intrp.o: artio.h
intrp.o: artsrch.h
intrp.o: bits.h
intrp.o: cache.h
intrp.o: common.h
intrp.o: config.h
intrp.o: final.h
intrp.o: head.h
intrp.o: init.h
intrp.o: intrp.c
intrp.o: intrp.h
intrp.o: ng.h
intrp.o: ngdata.h
intrp.o: nntp.h
intrp.o: nntpclient.h
intrp.o: rcstuff.h
intrp.o: respond.h
intrp.o: rt-select.h
intrp.o: rt-util.h
intrp.o: rthread.h
intrp.o: search.h
intrp.o: term.h
intrp.o: trn.h
intrp.o: util.h
intrp.o: util2.h
kfile.o: EXTERN.h
kfile.o: INTERN.h
kfile.o: artsrch.h
kfile.o: bits.h
kfile.o: cache.h
kfile.o: common.h
kfile.o: config.h
kfile.o: hash.h
kfile.o: intrp.h
kfile.o: kfile.c
kfile.o: kfile.h
kfile.o: ng.h
kfile.o: ngdata.h
kfile.o: ngstuff.h
kfile.o: rcstuff.h
kfile.o: rt-process.h
kfile.o: rt-select.h
kfile.o: rthread.h
kfile.o: search.h
kfile.o: term.h
kfile.o: trn.h
kfile.o: util.h
last.o: EXTERN.h
last.o: INTERN.h
last.o: common.h
last.o: config.h
last.o: intrp.h
last.o: last.c
last.o: last.h
last.o: trn.h
last.o: util.h
ndir.o: EXTERN.h
ndir.o: INTERN.h
ndir.o: common.h
ndir.o: config.h
ndir.o: ndir.c
ndir.o: ndir.h
ng.o: EXTERN.h
ng.o: INTERN.h
ng.o: art.h
ng.o: artio.h
ng.o: artsrch.h
ng.o: artstate.h
ng.o: backpage.h
ng.o: bits.h
ng.o: cache.h
ng.o: charsubst.h
ng.o: common.h
ng.o: config.h
ng.o: decode.h
ng.o: final.h
ng.o: head.h
ng.o: help.h
ng.o: intrp.h
ng.o: kfile.h
ng.o: last.h
ng.o: ng.c
ng.o: ng.h
ng.o: ngdata.h
ng.o: ngstuff.h
ng.o: nntp.h
ng.o: nntpclient.h
ng.o: rcln.h
ng.o: rcstuff.h
ng.o: respond.h
ng.o: rt-select.h
ng.o: rt-wumpus.h
ng.o: rthread.h
ng.o: search.h
ng.o: sw.h
ng.o: term.h
ng.o: trn.h
ng.o: util.h
ngdata.o: EXTERN.h
