=== debian/changelog ===
trn (3.6-17) unstable; urgency=low

  * patch to fix the subscribe-prompts over-run (closes: #24783)

 -- Matthew Vernon <matthew@debian.org>  Sat, 26 Jan 2002 20:31:20 +0000
	
