=== debian/control ===
Source: trn
Section: non-free/news
Priority: optional
Maintainer: Matthew Vernon <matthew@debian.org>
Standards-Version: 3.2.1.0

Package: trn
Architecture: any
Depends: ${shlibs:Depends}, inews|inewsinn
Recommends: mail-transport-agent
Provides: news-reader
Suggests: ispell
Description: Threaded USENET news reader, based on rn
 trn is the most widely-used newsreader on USENET - even to the
 point of being a de-facto standard. It has a powerful full screen
 text mode user interface, where most actions are available at the
 press of a single key.  It is highly configurable.
 .
 This version of trn reads news from a news server via NNTP (the
 Network News Transfer Protocol).  You must have a news server
 available - large sites usually provide a site-wide server.
 .
 If you install a news server on your system (either containing
 just local newsgroups or with a partial or full USENET feed) you
 can configure trn to access it.
