## trn 3.6-18

=== debian/changelog ===
trn (3.6-18) unstable; urgency=medium

  * Fix FTBFS bug in common.h, and add a build-depends (closes: #306318)
  * Continue to make this package available (closes: #336973)

 -- Matthew Vernon <matthew@debian.org>  Wed,  2 Nov 2005 16:10:58 +0000
	
