## trn 3.6-18.1

=== debian/changelog ===
trn (3.6-18.1) unstable; urgency=low

  * Non-maintainer upload.
  * Backport several Pnews fixes from trn4 to avoid busy-waiting if stdin
    goes away (part of #197677, although we still don't use set -e).

 -- Colin Watson <cjwatson@debian.org>  Mon,  5 Mar 2007 14:26:26 +0000
