=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: non-free/news
 Priority: optional
 Maintainer: Matthew Vernon <matthew@debian.org>
+Build-Depends: bison, libncurses5-dev
 Standards-Version: 3.2.1.0
 
 Package: trn
