## trn 3.6-19

=== debian/changelog ===
trn (3.6-19) unstable; urgency=low

  * copyright file fixes: standardise to license; remove parsedate.c
    copyright section, as this is regenerated at each build (closes: #142731)
  * Apply (corrected) patch from Ben Harris to make editor the default
    editor, in line with policy (closes: #503971)
  * Apply patch from Ben Harris <bjh21@cam.ac.uk> to replace KILL files
    more safely (closes: #503968)
  * Apply patch from Jonathan Amery <jdamery@chiark.greenend.org.uk> to
    make trn deal better with overlong References: lines (closes: #486630)
  
 -- Matthew Vernon <matthew@debian.org>  Tue, 23 Dec 2008 11:20:54 +0000
