## trn 3.6-20

=== debian/changelog ===
trn (3.6-20) unstable; urgency=low

  * remove bashisms from debian/rules (closes: #581452)

 -- Matthew Vernon <matthew@debian.org>  Thu, 13 May 2010 17:45:02 +0100
