## trn 3.6-22

=== debian/changelog ===
trn (3.6-22) unstable; urgency=low

  * Mark package as autobuildable, per
    http://lists.debian.org/debian-devel-announce/2006/11/msg00012.html

 -- Matthew Vernon <matthew@debian.org>  Tue, 13 Mar 2012 15:11:28 +0000

trn (3.6-21) unstable; urgency=low

  * Patch from Colin Watson <cjwatson@debian.org> to backport several
    Pnews fixes from trn4 to avoid busy-waiting if stdin goes away (part
    of #197677, although we still don't use set -e).

 -- Matthew Vernon <matthew@debian.org>  Tue, 13 Mar 2012 14:48:05 +0000
