=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Matthew Vernon <matthew@debian.org>
 Build-Depends: bison, libncurses5-dev
+XS-Autobuild: yes
 Standards-Version: 3.2.1.0
 
 Package: trn
