## trn 3.6-23

=== debian/changelog ===
trn (3.6-23) unstable; urgency=high

  * use the shared/news/server debconf template rather than prompting in
    postinst (closes: #688563)

 -- Matthew Vernon <matthew@debian.org>  Mon, 22 Oct 2012 21:45:25 +0100
