=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: trn
 Architecture: any
-Depends: ${shlibs:Depends}, inews|inewsinn
+Depends: ${shlibs:Depends}, inews|inewsinn, debconf (>= 0.5)
 Recommends: mail-transport-agent
 Provides: news-reader
 Suggests: ispell
