=== debian/rules ===
--- 
+++ 
@@ -111,7 +111,7 @@
 	dpkg-gencontrol
   # Set permissions.
 	@if [ "`whoami`" != root ]; then \
-		echo -e "\n ** Enter root password to set file permissions."; \
+		printf "%b\n" "\n ** Enter root password to set file permissions."; \
 		su -c "debian/rules setperms" ; \
 	else \
 		debian/rules setperms ; \
@@ -126,7 +126,7 @@
 	$(ch_commands)
 
 define checkdir
-	@test -f $(test_file) -a -f debian/rules || (echo -e "\n\
+	@test -f $(test_file) -a -f debian/rules || (printf "%b\n" "\n\
 	** \"$(test_file)\" or \"debian/rules\" does not exist.\n\
 	** Either \"$(package)\" is not unpacked in this directory, or\n\
 	** an incorrect test_file is specified in debian/config.\n" && false)
@@ -137,7 +137,7 @@
 	-rm -rf debian/tmp >/dev/null 2>&1
 	@if [ -d debian/tmp ]; then \
 		if  [ "`whoami`" != root ]; then \
-			echo -e "\n ** Enter root password to remove debian/tmp."; \
+			printf "%b\n" "\n ** Enter root password to remove debian/tmp."; \
 			su -c "rm -rf debian/tmp"; \
 		else \
 			rm -rf debian/tmp; \
