## trn 3.6-24

=== debian/changelog ===
trn (3.6-24) unstable; urgency=low

  * Adjust dependency for inews to inn2-inews|inews (inewsinn doesn't
    exist any more)

 -- Matthew Vernon <matthew@debian.org>  Wed, 08 Jul 2015 14:41:23 +0100
