## trn 3.6-24build1

=== debian/changelog ===
trn (3.6-24build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:46:46 +0000
